[//]: # (THE CONTENT BELOW IS GENERATED. DO NOT EDIT.)
# join
Join an IPA domain

### Arguments
|Name|Type|Required
|-|-|-
|cn|:ref:`Str<Str>`|True

### Options
* realm : :ref:`Str<Str>` **(Required)**
* nshardwareplatform : :ref:`Str<Str>`
* nsosversion : :ref:`Str<Str>`
* version : :ref:`Str<Str>`

### Output
No output.

[//]: # (ADD YOUR NOTES BELOW. THESE WILL BE PICKED EVERY TIME THE DOCS ARE REGENERATED. //end)
### Semantics

### Notes

### Version differences